package main

import (
	"log"
	"os"
	"os/signal"
	"syscall"

	"code.rocketnine.space/tslocum/boxbrawl/game"
	"code.rocketnine.space/tslocum/boxbrawl/world"
	"github.com/hajimehoshi/ebiten/v2"
)

func main() {
	ebiten.SetWindowTitle("Box Brawl")
	ebiten.SetWindowResizingMode(ebiten.WindowResizingModeEnabled)
	ebiten.SetWindowSize(world.DefaultScreenWidth, world.DefaultScreenHeight)
	ebiten.SetWindowClosingHandled(true)
	ebiten.SetFPSMode(ebiten.FPSModeVsyncOn)
	ebiten.SetTPS(world.TPS)
	ebiten.SetRunnableOnUnfocused(true)

	//parseFlags()

	g, err := game.NewGame()
	if err != nil {
		log.Fatal(err)
	}

	// TODO
	if false {
		world.ConnectPromptVisible = true
	}

	sigc := make(chan os.Signal, 1)
	signal.Notify(sigc,
		syscall.SIGINT,
		syscall.SIGTERM)
	go func() {
		<-sigc

		g.Exit()
	}()

	err = ebiten.RunGame(g)
	if err != nil {
		log.Fatal(err)
	}
}
